<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="appinfo">
    <form class="ui form" id="app-form" th:object="${app}" method="post">
      <input th:field="*{id}" type="hidden" />
      <input th:field="*{created}" type="hidden" />
      <input th:field="*{createdBy}" type="hidden" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TAXONOMY}},
                                                             field = 'taxonomy', 
                                                             required = true,
                                                             maxlength = 50,  
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                             field = 'name', 
                                                             required = true, 
                                                             maxlength = 80, 
                                                             placeholder = '',
                                                             columnsize = 'four wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FQDN}}, 
                                                             field = 'fqdn', 
                                                             required = true, 
                                                             maxlength = 150, 
                                                             placeholder = 'Fully Qualified Domain Name',
                                                             columnsize = 'ten wide'
                                                             )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}, 
		                                                             field = 'subArea', 
		                                                             options = ${subareas},
		                                                             optionfield = 'item.name',
		                                                             required = true,
		                                                             columnsize = 'eight wide',
                                                                     emptyoption = true
		                                                             )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATIONTYPE}}, 
		                                                             field = 'type', 
		                                                             options = ${applicationtypes},
		                                                             optionfield = 'item.name',
		                                                             required = true,
		                                                             columnsize = 'eight wide',
                                                                     emptyoption = true
		                                                             )" />
      </div>
      <div class="fields" id="resources">
        <th:block th:object="${app}" th:fragment="resources">
          <div class="field four wide required">
            <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESPONSIBLE}}"></label>
            <div class="ui fluid input">
              <select class="ui fluid search dropdown" th:field="${app.responsible}">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:each="resource : ${executives}" th:text="${resource.name}" th:value="${resource.id}"></option>
              </select>
            </div>
          </div>
          <div class="field four wide required">
            <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FUNCTIONAL}}"></label>
            <div class="ui fluid input">
              <select class="ui fluid search dropdown" th:field="${app.functionalContact}">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:each="resource : ${resources}" th:text="${resource.name}" th:value="${resource.id}"></option>
              </select>
            </div>
          </div>
          <div class="field four wide required">
            <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TECHNICAL}}"></label>
            <div class="ui fluid input">
              <select class="ui fluid search dropdown" th:field="${app.technicalContact}">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:each="resource : ${resources}" th:text="${resource.name}" th:value="${resource.id}"></option>
              </select>
            </div>
          </div>
          <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}, 
                                                                       field = 'status', 
                                                                       options = ${applicationstatus},
                                                                       optionfield = 'item.name',
                                                                       required = true,
                                                                       columnsize = 'four wide',
                                                                       emptyoption = true
                                                                       )" />
        </th:block>
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                       field = 'description', 
                                                       required = false,
                                                       maxlength = 150, 
                                                       placeholder = 'Tell us more.',
                                                       columnsize = 'sixteen wide'
                                                       )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}, 
	                                                           field = 'active', 
	                                                           required = true, 
	                                                           option = '',
	                                                           localized = false,
	                                                           message = '',
	                                                           columnsize = 'two wide',
	                                                           function = ''
	                                                           )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                   icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                   icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_APPLICATIONS},
                                                                   icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                   icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                   icon2url = ''
                                                                   )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>